stages:
  - build
  - provision
  - deploy

variables:
  YOUTRACK_VERSION: 2022.1.43700

.ansible:
  before_script:
    - 'command -v ssh-agent >/dev/null'
    - 'mkdir -p ~/.ssh || true'
    - 'chmod 700 ~/.ssh || true'
    - eval $(ssh-agent -s)
    - echo "$ANSIBLE_SSH_KEY" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa
    - echo "$ANSIBLE_SSH_CERT" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa-cert.pub
    - echo "$ANSIBLE_SSH_PUB" | tr -d '\r' | tee ~/.ssh/ansible_ecdsa.pub
    - echo "$ANSIBLE_KNOWN_HOSTS" | tr -d '\r' | tee ~/.ssh/known_hosts
    - 'chmod 0600 ~/.ssh/ansible_ecdsa'
    - ssh-add ~/.ssh/ansible_ecdsa
    - "chmod 0700 playbooks/"

include:
  - gitlab-ci/build.yml
  - gitlab-ci/provision.yml
  - gitlab-ci/deploy.yml
